<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LRecordingProfile StructType
 * @subpackage Structs
 */
class LRecordingProfile extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 50
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The recordingCssName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $recordingCssName;
    /**
     * The recorderDestination
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $recorderDestination;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LRecordingProfile
     * @uses LRecordingProfile::setName()
     * @uses LRecordingProfile::setRecordingCssName()
     * @uses LRecordingProfile::setRecorderDestination()
     * @uses LRecordingProfile::setUuid()
     * @param string $name
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $recordingCssName
     * @param string $recorderDestination
     * @param string $uuid
     */
    public function __construct($name = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $recordingCssName = null, $recorderDestination = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setRecordingCssName($recordingCssName)
            ->setRecorderDestination($recorderDestination)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRecordingProfile
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get recordingCssName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getRecordingCssName()
    {
        return $this->recordingCssName;
    }
    /**
     * Set recordingCssName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $recordingCssName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRecordingProfile
     */
    public function setRecordingCssName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $recordingCssName = null)
    {
        $this->recordingCssName = $recordingCssName;
        return $this;
    }
    /**
     * Get recorderDestination value
     * @return string|null
     */
    public function getRecorderDestination()
    {
        return $this->recorderDestination;
    }
    /**
     * Set recorderDestination value
     * @param string $recorderDestination
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRecordingProfile
     */
    public function setRecorderDestination($recorderDestination = null)
    {
        $this->recorderDestination = $recorderDestination;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LRecordingProfile
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
